import React from 'react';
import { useToggleView, useZones } from '../../store/builder/store';
import { Html } from '@react-three/drei';

const FindZoneName = () => {
    const { zones } = useZones();
    const { toggleView } = useToggleView();
    return (
        <>
            {!toggleView && zones?.map((zone: any) => (
                <Html
                    key={zone.zoneId}
                    position={[zone.viewPortCenter[0], zone.viewPortCenter[1] + 5.1, zone.viewPortCenter[2]]}
                    center
                    distanceFactor={20}
                    style={{
                        background: '#6f42c1',
                        padding: '4px 8px',
                        borderRadius: '4px',
                        fontSize: '18px',
                        color: "white",
                        width: "100px",
                        border: '1px solid #ccc'
                    }}
                >
                    {zone.zoneName}
                </Html>
            ))}
        </>
    );
}

export default FindZoneName;
