import { create } from "zustand";

interface ToggleState {
  toggleUILeft: boolean;
  toggleUIRight: boolean;
  setToggleUI: (value1: boolean, value2: boolean) => void;
}

const useToggleStore = create<ToggleState>((set) => ({
  toggleUILeft: true,
  toggleUIRight: false,
  setToggleUI: (value1: boolean, value2: boolean) => {
    set({ toggleUILeft: value1, toggleUIRight: value2 });
  },
}));

export default useToggleStore;
